path: /build/build/gst-plugins-jack-media-plugins-1.0-1.18.4.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env: []
  prelude:
  - |-
    export FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox" && \
    export JOBS=3 && \
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    USE="-test prefix" emerge media-plugins/gst-plugins-jack:1.0 -pv -t && \
    USE="-test prefix" emerge -j ${JOBS} --nodeps media-plugins/gst-plugins-jack:1.0
  - export LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages" && export LUET_PORTAGE_IGNORE_TAR_WARNING=1
    && export LUET_PORTAGE_PKGMETA=1 && export LUET_PORTAGE_PKGFILES=1 && eval 'rm
    -rf /pkgdir/ || true' && mkdir -p /pkgdir/gst-plugins-jack && luet-portage --dir
    /pkgdir/gst-plugins-jack media-plugins/gst-plugins-jack:1.0 && eval 'rm -v /var/cache/distfiles/*
    ${LUET_PORTAGE_CACHE_PACKAGES}/* || true'
  image: ""
  seed: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree:2c74280755835cdf4878f056c733290ca86dc1e65f02e628921dfc4fc2533244
  package:
    name: gst-plugins-jack
    version: 1.18.4
    category: media-plugins-1.0
    use_flags:
    - -test
    - prefix
    requires:
    - name: gst-plugins-good
      version: '>=0'
      category: media-libs-1.0
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: plugin for gstreamer
    uri:
    - https://gstreamer.freedesktop.org/
    license: GPL-2
    buildtimestamp: 2023-08-30 20:44:45.86331568 +0000 UTC m=+109.177523623
    labels:
      BDEPEND: '>=dev-util/meson-0.48.2 >=dev-util/ninja-1.7.2 test? ( !prefix? (
        x11-base/xorg-server[xvfb] ) x11-apps/xhost ) >=sys-apps/sed-4 virtual/pkgconfig
        virtual/perl-JSON-PP'
      DEPEND: '|| ( media-sound/jack2[-mgorny(-)] media-video/pipewire[jack-sdk(-),-mgorny(-)]
        ) >=dev-libs/glib-2.40.0:2[-mgorny(-)] >=media-libs/gstreamer-1.18:1.0[-mgorny(-)]
        >=media-libs/gst-plugins-good-1.18.4:1.0[-mgorny(-)]'
      IUSE: test abi_x86_32 abi_x86_64 abi_x86_x32 abi_mips_n32 abi_mips_n64 abi_mips_o32
        abi_s390_32 abi_s390_64
      RDEPEND: '|| ( media-sound/jack2[-mgorny(-)] media-video/pipewire[jack-sdk(-),-mgorny(-)]
        ) >=dev-libs/glib-2.40.0:2[-mgorny(-)] >=media-libs/gstreamer-1.18:1.0[-mgorny(-)]
        >=media-libs/gst-plugins-good-1.18.4:1.0[-mgorny(-)]'
      emerge.packages: media-plugins/gst-plugins-jack:1.0
      kit: media-kit
      original.package.name: media-plugins/gst-plugins-jack
      original.package.slot: "1.0"
      original.package.version: 1.18.4-r1
    treedir: /build/packages
  package_dir: /pkgdir/gst-plugins-jack
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: 0ac19df2416489e3f10e2e6730b57422b3d68d84709cba2219234b7bd1ff1a73
compressiontype: zstd
files:
- usr/lib64/gstreamer-1.0/libgstjack.so
- var/db/pkg/media-plugins/gst-plugins-jack-1.18.4-r1/BDEPEND
- var/db/pkg/media-plugins/gst-plugins-jack-1.18.4-r1/BUILD_TIME
- var/db/pkg/media-plugins/gst-plugins-jack-1.18.4-r1/CATEGORY
- var/db/pkg/media-plugins/gst-plugins-jack-1.18.4-r1/CBUILD
- var/db/pkg/media-plugins/gst-plugins-jack-1.18.4-r1/CFLAGS
- var/db/pkg/media-plugins/gst-plugins-jack-1.18.4-r1/CHOST
- var/db/pkg/media-plugins/gst-plugins-jack-1.18.4-r1/CONTENTS
- var/db/pkg/media-plugins/gst-plugins-jack-1.18.4-r1/COUNTER
- var/db/pkg/media-plugins/gst-plugins-jack-1.18.4-r1/CXXFLAGS
- var/db/pkg/media-plugins/gst-plugins-jack-1.18.4-r1/DEFINED_PHASES
- var/db/pkg/media-plugins/gst-plugins-jack-1.18.4-r1/DEPEND
- var/db/pkg/media-plugins/gst-plugins-jack-1.18.4-r1/DESCRIPTION
- var/db/pkg/media-plugins/gst-plugins-jack-1.18.4-r1/EAPI
- var/db/pkg/media-plugins/gst-plugins-jack-1.18.4-r1/FEATURES
- var/db/pkg/media-plugins/gst-plugins-jack-1.18.4-r1/HOMEPAGE
- var/db/pkg/media-plugins/gst-plugins-jack-1.18.4-r1/INHERITED
- var/db/pkg/media-plugins/gst-plugins-jack-1.18.4-r1/IUSE
- var/db/pkg/media-plugins/gst-plugins-jack-1.18.4-r1/IUSE_EFFECTIVE
- var/db/pkg/media-plugins/gst-plugins-jack-1.18.4-r1/KEYWORDS
- var/db/pkg/media-plugins/gst-plugins-jack-1.18.4-r1/LDFLAGS
- var/db/pkg/media-plugins/gst-plugins-jack-1.18.4-r1/LICENSE
- var/db/pkg/media-plugins/gst-plugins-jack-1.18.4-r1/NEEDED
- var/db/pkg/media-plugins/gst-plugins-jack-1.18.4-r1/PF
- var/db/pkg/media-plugins/gst-plugins-jack-1.18.4-r1/PROVIDES
- var/db/pkg/media-plugins/gst-plugins-jack-1.18.4-r1/RDEPEND
- var/db/pkg/media-plugins/gst-plugins-jack-1.18.4-r1/REQUIRES
- var/db/pkg/media-plugins/gst-plugins-jack-1.18.4-r1/RESTRICT
- var/db/pkg/media-plugins/gst-plugins-jack-1.18.4-r1/SIZE
- var/db/pkg/media-plugins/gst-plugins-jack-1.18.4-r1/SLOT
- var/db/pkg/media-plugins/gst-plugins-jack-1.18.4-r1/USE
- var/db/pkg/media-plugins/gst-plugins-jack-1.18.4-r1/environment.bz2
- var/db/pkg/media-plugins/gst-plugins-jack-1.18.4-r1/gst-plugins-jack-1.18.4-r1.ebuild
- var/db/pkg/media-plugins/gst-plugins-jack-1.18.4-r1/repository
package_cacheimage: ""
runtime:
  name: gst-plugins-jack
  version: 1.18.4
  category: media-plugins-1.0
  use_flags:
  - -test
  - prefix
  requires:
  - name: gst-plugins-good
    version: '>=0'
    category: media-libs-1.0
  - name: jack2
    version: '>=0'
    category: media-sound-2
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: plugin for gstreamer
  uri:
  - https://gstreamer.freedesktop.org/
  license: GPL-2
  labels:
    BDEPEND: '>=dev-util/meson-0.48.2 >=dev-util/ninja-1.7.2 test? ( !prefix? ( x11-base/xorg-server[xvfb]
      ) x11-apps/xhost ) >=sys-apps/sed-4 virtual/pkgconfig virtual/perl-JSON-PP'
    DEPEND: '|| ( media-sound/jack2[-mgorny(-)] media-video/pipewire[jack-sdk(-),-mgorny(-)]
      ) >=dev-libs/glib-2.40.0:2[-mgorny(-)] >=media-libs/gstreamer-1.18:1.0[-mgorny(-)]
      >=media-libs/gst-plugins-good-1.18.4:1.0[-mgorny(-)]'
    IUSE: test abi_x86_32 abi_x86_64 abi_x86_x32 abi_mips_n32 abi_mips_n64 abi_mips_o32
      abi_s390_32 abi_s390_64
    RDEPEND: '|| ( media-sound/jack2[-mgorny(-)] media-video/pipewire[jack-sdk(-),-mgorny(-)]
      ) >=dev-libs/glib-2.40.0:2[-mgorny(-)] >=media-libs/gstreamer-1.18:1.0[-mgorny(-)]
      >=media-libs/gst-plugins-good-1.18.4:1.0[-mgorny(-)]'
    emerge.packages: media-plugins/gst-plugins-jack:1.0
    kit: media-kit
    original.package.name: media-plugins/gst-plugins-jack
    original.package.slot: "1.0"
    original.package.version: 1.18.4-r1
